clear all;
% format long g;
rng(100);

% point estimates obtained from the actual data

a=24.7265625;
u0=0.62578125;
beta=0.79973958;
mo_x=0.1453125;

Q = [a, u0, beta, mo_x];
castes = [1,4,5,7,10,14,17,23,28,33,38,44];

num_castes = numel(castes);
n = 10;

variant = 0;
[pg, pg_data] = get_preds(Q, castes, variant);
pg_all = zeros(n, 3);
pg_all(:,1) = sum(pg,2);

% Transfer to all families with girls

variant = 1;
[pg, ~] = get_preds(Q, castes, variant);
pg_all(:,2) = sum(pg,2);

% Transfer to families in lowest 2 income classes with girls

variant = 2;
[pg, ~] = get_preds(Q, castes, variant);
pg_all(:,3) = sum(pg,2);

% Transfer directly to girls

variant = 3;
[pg, ~] = get_preds(Q, castes, variant);
pg_all(:,4) = sum(pg,2);

counterfactual_data = [linspace(1,n,n)', pg_all];
T = array2table(counterfactual_data);
T.Properties.VariableNames(1:5) = {'inc_class', 'no_transfer', 'transfer_to_girl_families', 'transfer_to_poor_girl_families', 'transfer_directly_to_girls'};
writetable(T,'data/coded/data_for_charts/counterfactuals_data.csv');

lvar{1} = 'no transfer';
lvar{2} = 'transfer to girl families';
lvar{3} = 'transfer to poor girl families';
lvar{4} = 'transfer directly to girls';
plot(linspace(1,n,n),pg_all(:,1), linspace(1,n,n),sum(pg_all(:,2),2), linspace(1,n,n),sum(pg_all(:,3),2),linspace(1,n,n),sum(pg_all(:,4),2),'LineWidth', 3.0)
legend(lvar, 'Location', 'northeast')
title('counterfactuals - transfer 25 percent')
