function [ SSR ] = est_all( params,castes )
%Returns the sum of squared errors across all castes
%   This function solves the model for the given parameters for each caste
%   and gives the sum of squared errors across all castes

clear vxx;
SSR = 0;
num_castes = numel(castes);
for i = 1:num_castes
    [X, Hky ,n] = getdata(castes(i));
    X(:,1) = X(:,1)*1000;
    Hky_data = Hky;
    Y = X;
    [~, ~, ~, ~, ~, ~, ~, ~, Hky, diff] = solve_model(X,Y,params);
    diff
    if diff>0.1 || isnan(diff)
        SSR=nan;
        return
    end
    SSR = SSR + sum((Hky_data - Hky).^2);
end

