clc;
clearvars;
clear all;
rng(50);

lb = [15, 0.0, 20/30, 0.0];
ub = [30, 2.0, 27/30, 2.0];

sf = readmatrix('data/raw/unweighted_samples_12_castes.csv');
num_bootsraps = 100;
sf = sf(1:num_bootsraps, :);
[nsamples, ncastes] = size(sf);

estimates = zeros(nsamples, 4);

for i=1:num_bootsraps
    castes = sf(i,:);
    temp5 = @(pars) est_all(pars, castes);
    options = optimoptions('surrogateopt','UseParallel',false,'MaxFunctionEvaluations',100);
    [z,fval,exitflag,output,trials] = surrogateopt(temp5,lb,ub,options);
    estimates(i,:) = z;
end

writematrix(estimates, 'data/coded/bootstrap/bootstrap_estimates.csv')