function [pg_all,pg_data] = get_preds(params, castes, variant)
%get_preds Function to get predicted sex ratios
%   This function takes the parameter values as inputs and returns
%   average of true and predicted sex ratios at all income levels

clear vxx;
n_inc = 10;
num_castes = numel(castes);
pg_data = zeros(n_inc,1);
% pg = zeros(8,1);
pg_all = zeros(n_inc,num_castes);

tot_pop = 0;
all_X = zeros(n_inc, num_castes);

for i = 1:num_castes
    [X, Hky, n] = getdata(castes(i));
    tot_pop = tot_pop + sum(X(:,2));
    all_X(:,i) = X(:,1);
end

avg_X = mean(all_X,2) * 1000;
total_tr_amt = 0.25 * (avg_X(1) + avg_X(2))/2;
ind_tr_poorest = total_tr_amt/2;
ind_tr_all = total_tr_amt/10;


    

for i = 1:num_castes
    clear vxx;
    [X, Hky ,n] = getdata(castes(i));
    X(:,1) = X(:,1)*1000;
    Hky_data = Hky;
    Y = X;
    if variant==0 % no policy experiment, natural scenario
        [~, ~, ~, ~, ~, ~, ~, ~, Hky, diff] = solve_model(X,Y,params);
    elseif variant==1 %transfer to all families with girls
        tr = ind_tr_all;
        [~, ~, ~, ~, ~, ~, Hky, diff] = solve_model_all(X,Y,params,tr);
    elseif variant==2 %transfer to poorest families with girls
        tr = ind_tr_poorest;
        [~, ~, ~, ~, ~, ~, Hky, diff] = solve_model_top(X,Y,params,tr);
    elseif variant==3 %transfer directly to girls
        tr = ind_tr_all;
        [~, ~, ~, ~, ~, ~, Hky, diff] = solve_model_girls(X,Y,params,tr);
    end
    pg_all(:,i) = (sum(X(:,2))/tot_pop) * (1-Hky)./2;
%     pg_all(:,i) = (1/num_castes) * (1-Hky)./2;
%     pg = pg + (1-Hky)./2;
    pg_data = pg_data + (sum(X(:,2))/tot_pop) * (1-Hky_data)./2;
%     pg_data = pg_data + ((1/num_castes) * (1-Hky_data)./2);
%     if diff>0.1
%         SSR=nan;
%         return
%     end
%     SSR = SSR + sum((Hky_data - Hky).^2);
end
% pg_data = pg_data./num_castes;
