function [ X, Hk_data, n ] = getdata( caste )
%getdata This function gets the data for a caste
%   It returns the X = [income, no. of boys] and Hk

% Import data
filepath = strcat('./data/raw/06_8class/caste', num2str(caste), '.csv');
mydata = csvread(filepath, 1);
if length(mydata)<10
    mydata = interpolateFullHistogramData(mydata, 10);
end
data = struct('inc', [], 'm', [],'f', [],'t', [], 'csr', [], 'Hk', [], 'X', []);
data.inc = mydata(:,1);
data.m  = mydata(:,2);
data.f  = mydata(:,3);
data.t = mydata(:,4);
data.csr = mydata(:,5);
data.Hk = mydata(:,6);
data.X = mydata(:,7);
n = length(data.inc);
X = [data.inc data.X];
Hk_data = data.Hk;
end
