function [ diff ] = my_phi( v,p,x,y,beta,v0 )
%phi function
%   Gives the value for phi(v) - phi to find the value for v

epower = (v - v0)/2;
eterm = (2 * exp(epower))/beta;
t1 = x + y - eterm;
t2 = (1-beta) * eterm;
phi_val = log(t1) + log(t2);

diff = abs(phi_val - p);
end