format long g;
clear all;
% clear all;

% point estimates obtained from the actual data

a=24.7265625;
u0=0.62578125;
beta=0.79973958;
mo_x=0.1453125;

Q = [a, u0, beta, mo_x];
castes = [1,4,5,7,10,14,17,23,28,33,38,44];
[pg, pg_data] = get_preds(Q, castes, 0);
num_castes = numel(castes);
n = 10;

pg_with_u = sum(pg,2);

u0=0;
Q = [a, u0, beta, mo_x];
[pg, pg_data] = get_preds(Q, castes, 0);
pg_without_u = sum(pg,2);

u0_decomp_data = [linspace(1,n,n)', pg_with_u, pg_without_u];
T = array2table(u0_decomp_data);
T.Properties.VariableNames(1:3) = {'inc_class', 'pg_with_u', 'pg_without_u',};
writetable(T,'data/coded/data_for_charts/u0_decomposition_data.csv');


lvar = {};
% lvar{1} = 'data';
lvar{1} = 'with u0';
lvar{2} = 'without u0';


hold on
% plot(linspace(1,n,n),pg_data, 'LineWidth', 3.0)
plot(linspace(1,n,n),pg_with_u, 'LineWidth', 3.0)
plot(linspace(1,n,n),pg_without_u, 'LineWidth', 3.0)
legend(lvar,'Location','northeast')
title('u0 decomposition')