function [ diff, uxx, uyy, dy, S, T, ky, Hky] = set_vin_top( din, Q, X, Y, tr_in )
%set_vin Function to set initial value of v(x)
%   This function solves the model to get a value of v(x) for the last
%   matched boy and the income xbar of this boy.

% a = Q(1);
% phi0 = 0.0;
% b = Q(2);
% v0 = Q(3);
% mx = Q(4);
% my = Q(5);
% beta = Q(6);
% mo_x = Q(7);
% mo_y = Q(8);
% persistent vxx

if numel(Q)==5
    a = Q(1);
    phi0 = 0.0;
    b = Q(2);
    v0 = Q(3);
    mx = 0.0;
    my = 0.0;
    beta = Q(4);
    mo_x = Q(5);
    mo_y = 80.0;
end

if numel(Q)==4
    a = Q(1);
    phi0 = 0.0;
    v0 = Q(2);
    mx = 0.0;
    my = 0.0;
    beta = Q(3);
    mo_x = Q(4);
    mo_y = 80.0;
end
persistent vxx

H = makedist('Uniform','lower',0,'upper',a);
if numel(Q)==5
    J = makedist('Uniform','lower',0,'upper',b);
end

n = length(X); %Number of income classes
x = n;
y = n;
S(:,1) = (2 * (log(X(:,1)/2))) + v0 - mo_x;
T(:,1) = (2 * (log(Y(:,1)/2))) + phi0 - mo_y;

d = din*Y(y,1);

Cx = (X(x,1)+d) * (beta/2);
cx = (X(x,1)+d) * (beta/2);

if Cx<0 || cx<0
%     disp('neg Cx')
    diff=nan;
    disp('error neg cx');
    return
end

vin = log(Cx) + log(cx) + v0 + mx;
ky = zeros(n,1);
Hky = zeros(n,1);

if vin<0
    diff = nan;
    disp('error neg vin');
    return
end

if isempty(vxx)
    disp('new vxx')
    din
    vxx = zeros(n,1);
%     vxx = S(:,1) + mx;
    vxx(x) = vin;
    delta = (vin-S(1))/(n-1);
    for i=n-1:-1:1
%         vxx(i) = S(i) + delta*0.09*(i-1);
        vxx(i) = vxx(i+1)-delta*0.0;
    end
    disp(vxx)
end


vyy(:,1) = Y(:,1);
dy(:,1) = X(:,1);
dy(x,2) = d;

Cy = Y(y,1) - d;
cy = (X(x,1) + d) * (1-beta);

if Cy<0 || cy<0
%     disp('neg Cy')
    diff=nan;
    disp('error neg cy');
    return
end

vyy(y,2) = log(Cy) + log(cy) + my;
vxx(x) = log(Cx) + log(cx) + v0 + mx;

% if vxx(x) < S(x)
%     disp('error top')
%     diff=nan;
%     return
% end

% if vyy(y,2) < T(y)
%     disp('error top y')
%     diff=nan;
%     return
% end

% if vxx(y) < vyy(y,2)
%     disp('error top k')
%     diff=nan;
%     return
% end

kstr = vxx(y) - vyy(y,2);
ky(y) = kstr;
Hk = cdf(H,kstr);
Hky(y) = Hk;
X(y,2) = X(y,2) + Hk*Y(y,2);
Y(y,2) = Y(y,2) * (1 - Hk);

X(x,2) = X(x,2) - Y(y,2);
if X(x,2)>=0
    Y(y,2) = 0;
end

negflag=0;
yflag=0;
% din

while y>0
    while X(x,2)>=0
        y = y-1;
        if (y<=2)
            tr=tr_in;
        else
            tr=0;
        end
%         [x,y]
        if y==0
%             disp('y over')
            yflag=1;
            break
        end

        Cy = Y(y,1) + tr - dy(x,2);
        cy = (X(x,1) + dy(x,2)) * (1-beta);
        if Cy<0 || cy<0
%             [x,y]
%             disp('neg Cy')
            negflag=1;
            break
        end
        
        vyy(y,2) = log(Cy) + log(cy) + my;

        if vyy(y,2)<0 || ~isreal(vyy(y,2))
%             [x,y]
%             disp('neg vyy')
            negflag=1;
            break
        end
%         if (vyy(y,2)<T(y))
%             disp('out option vyy')
%             vyy(y,2)-T(y)
%             negflag=1;
%             break
%         end        
        
        kstr = vxx(y) - vyy(y,2);
        ky(y) = kstr;
%         if kstr<0
%             disp('neg kstr')
%             negflag=1;
%             break
%         end
        if numel(Q)==5            
            if kstr>0
                Hk = cdf(H, kstr);
                Hky(y) = Hk;
                X(y,2) = X(y,2) + Hk*Y(y,2);
                Y(y,2) = Y(y,2) * (1 - Hk);
            else
                Hk = cdf(J, kstr);
                y0 = Y(y,2);
                Y(y,2) = Y(y,2) + Hk*X(y,2);
                X(y,2) = X(y,2) * (1 - Hk);
                Hky(y) = 1 - (Y(y,2)/y0);
            end
        end
        if numel(Q)==4
            Hk = cdf(H, kstr);
            Hky(y) = Hk;
            X(y,2) = X(y,2) + Hk*Y(y,2);
            Y(y,2) = Y(y,2) * (1 - Hk);
        end
            
%         Hk = cdf(H,kstr);
%         Hky(y) = Hk;
%         X(y,2) = X(y,2) + Hk*Y(y,2);
%         Y(y,2) = Y(y,2) * (1 - Hk);

        X(x,2) = X(x,2) - Y(y,2);
        if X(x,2)>=0
            Y(y,2) = 0;
        end
    end
    if negflag==1
        break
    end

    if yflag==1
%         [x,y]
        break
    end

    Y(y,2) = (-1) * X(x,2);
    x = x-1;
%     [x,y]
    if x==0
        break
    end
    vxsolver = @(v) real(my_phi(v,vyy(y,2),X(x,1),Y(y,1)+tr,beta,v0));
%     pattern_options = optimoptions('patternsearch','Display','off','FunctionTolerance', 1e-4, 'MaxIterations', 2000);
%     [z,fval, outputflag, ~] = patternsearch(vxsolver, vxx(x+1), [], [], [], [], 0, [], [], pattern_options);
%     particle_options = optimoptions('particleswarm','Display','off','FunctionTolerance', 1e-7, 'MaxIterations', 3000);
%     [z,fval, outputflag, ~] = particleswarm(vxsolver, 1, 0, [], particle_options);


    fsolve_options = optimoptions('fsolve', 'Display','off', 'MaxFunctionEvaluations', 500, 'MaxIterations', 800);
    [z, fval, outputflag, ~] = fsolve(vxsolver, vxx(x+1), fsolve_options);
    if outputflag<0
%         disp('out flag')
%         [x,y]
%         fval
        negflag=1;
        break
    end
%     dy(x+1,2)
%     vxx(x+1)
%     vyy(y,2)
%     X(x,1)
%     Y(y,1)
    if fval>1e-3
%         disp('no sol')
        negflag=1;
        break
    end
    vxx(x)=z;
%     if (vxx(x)<S(x))
%         disp('out option')
%         vxx(x)-S(x)
%         negflag=1;
%         break
%     end
    
    epower = (vxx(x) - v0 - mx)/2;
    eterm = (2 * exp(epower))/beta;
    dy(x,2) = eterm - X(x,1);
    X(x,2) = X(x,2) - Y(y,2);
    if X(x,2)>=0
        Y(y,2) = 0;
    end
end
if negflag==1
    %[x,y]
    diff=nan;
    uxx=vxx;
    uyy=vyy(:,2);
    return
end
if yflag==1
    diff = abs(vxx(x)-S(x));
    while (x ~= 1)
        x=x-1;
        vxx(x) = S(x);
    end
    uxx = vxx;
    uyy = vyy(:,2);
end
% while (x ~= 1)
%     vxx(x) = S(x);
%     x=x-1;
% end
end
