function [ vxx, vyy, d, dgiven, S, T, ky, ks, Hky, diff ] = solve_model( X, Y, Q )
%solve_model Function that takes X, Y and the parameters and returns H(k*)
%   Solving the model recursively starting from the topmost income class

disp(Q);

clear vxx;
clear set_vin;

n = length(X); %Number of income classes
disp(n);

dsolver = @(d) set_vin(d,Q,X,Y);
disp('start')

particle_options = optimoptions('particleswarm','Display','iter','FunctionTolerance', 1e-6, 'MaxIterations', 400, 'MaxStallIterations', 40, 'UseParallel', false, 'ObjectiveLimit', 1e-4, 'DisplayInterval', 20);%, 'PlotFcn',@pswplotbestf);
[z,fval, exitflag, output] = particleswarm(dsolver, 1, 0.4, 0.55, particle_options);

z
fval
exitflag
output

if isnan(fval)
    Hky = nan;
    vxx = nan;
    vyy = nan;
    d = nan;
    dgiven = nan;
    S = nan;
    T = nan;
    ky = nan;
    diff = nan;
    ks = nan;
    return
end

[diff, vxx, vyy, d, dgiven, S, T, ky, ks, Hky] = set_vin(z, Q, X, Y);

disp(sum(ky<0))
ky
disp(vxx - vyy)


diff
vxx
S
vyy
T
ky
d
return
end
