function [ vxx, vyy, d, S, T, ky, Hky, diff ] = solve_model_girls( X, Y, Q, tr )
%solve_model Function that takes X, Y and the parameters and returns H(k*)
%   Solving the model recursively starting from the topmost income class

disp(Q);

clear vxx;
clear set_vin_girls;

n = length(X); %Number of income classes
disp(n);

dsolver = @(d) set_vin_girls(d,Q,X,Y,tr);
disp('start')

% particle_options = optimoptions('particleswarm','Display','iter','FunctionTolerance', 1e-6, 'MaxIterations', 1000, 'MaxStallIterations', 40, 'UseParallel', true, 'HybridFcn', 'patternsearch', 'ObjectiveLimit', 1e-4, 'DisplayInterval', 20);%, 'PlotFcn',@pswplotbestf);
particle_options = optimoptions('particleswarm','Display','iter','FunctionTolerance', 1e-6, 'MaxIterations', 400, 'MaxStallIterations', 40, 'UseParallel', false, 'ObjectiveLimit', 1e-4, 'DisplayInterval', 20);%, 'PlotFcn',@pswplotbestf);
% [z,fval, exitflag, output] = particleswarm(dsolver, 1, -0.99, 0.99, particle_options);
% [z,fval, exitflag, output] = particleswarm(dsolver, 1, 0.3, 0.6, particle_options);
[z,fval, exitflag, output] = particleswarm(dsolver, 1, 0.4, 0.55, particle_options);

% pattern_options = optimoptions('patternsearch','Display','iter','FunctionTolerance', 1e-4, 'MaxIterations', 2000, 'PlotFcn',@psplotbestf);
% [z,fval, exitflag, output] = patternsearch(dsolver, -0.2, [], [], [], [], -1.0, 1.0, pattern_options);


% ga_options = optimoptions('ga','Display', 'iter', 'ConstraintTolerance',1e-6,'PlotFcn', @gaplotbestf);
% [z,fval, exitflag, output] = ga(dsolver, 1, [], [], [], [], -0.99, 0.99, [], ga_options);

% surr_options = optimoptions('surrogateopt', 'MaxFunctionEvaluations',500, 'ObjectiveLimit', 1e-4);
% [z,fval,exitflag,output,trials] = surrogateopt(dsolver,0.4,0.5,surr_options);

z
fval
exitflag
output
% trials.Fval

if isnan(fval)
    Hky = nan;
    vxx = nan;
    vyy = nan;
    d = nan;
    S = nan;
    T = nan;
    ky = nan;
    diff = nan;
    return
end

[diff, vxx, vyy, d, S, T, ky, Hky] = set_vin_girls(z, Q, X, Y, tr);

disp(sum(ky<0))
ky
disp(vxx - vyy)

% if sum(ky<0)>0 
%     Hky = nan;
%     vxx = nan;
%     vyy = nan;
%     d = nan;
%     S = nan;
%     T = nan;
%     ky = nan;
%     return
% end

diff
vxx
S
vyy
T
ky
d
return
end
