
	** housekeeping
		clear all
		set more off
		cap log close

		
		cd "$sexselection"

	    *********** Married information********************
		
		** South India **
		
		* Import data
		import excel "${raw}\tableA1_SI_TN_SICHS comparison.xlsx", sheet("Age_dist_calculations") cellrange(A4:E21) firstrow clear
		
		* Rename variables
		rename (Male Female D E)(male_married fem_married male_total female_total)
		
		* Married proportion
		gen m_si = male_married/male_total
		gen f_si = fem_married/female_total
		
		keep A m_si f_si
		
		mkmat m_si f_si, matrix(si)
		
		** Tamil Nadu **
		
		* Import data
		 import excel "${raw}\tableA1_SI_TN_SICHS comparison.xlsx", sheet("TN_age group-wise distribution") cellrange(G26:K42) clear
		
		keep G K
		rename (G K)(m_tn f_tn)
		mkmat m_tn f_tn, matrix(tn)
		
		** Study Area **
		
		* Import data
		* Male
		use "${coded}\DataForReg_coded.dta", clear

		drop if C2_4 > 100
		
		keep C2_4 C2_5 C2_3
		
		*- Create age groups
gen age_group = .
replace age_group = 0 if C2_4 < 10
replace age_group = 1 if C2_4 >= 10 & C2_4 <=14
replace age_group = 2 if C2_4 >= 15 & C2_4 <=19
replace age_group = 3 if C2_4 >= 20 & C2_4 <=24
replace age_group = 4 if C2_4 >= 25 & C2_4 <=29
replace age_group = 5 if C2_4 >= 30 & C2_4 <=34
replace age_group = 6 if C2_4 >= 35 & C2_4 <=39
replace age_group = 7 if C2_4 >= 40 & C2_4 <=44
replace age_group = 8 if C2_4 >= 45 & C2_4 <=49
replace age_group = 9 if C2_4 >= 50 & C2_4 <=54
replace age_group = 10 if C2_4 >= 55 & C2_4 <=59
replace age_group = 11 if C2_4 >= 60 & C2_4 <=64
replace age_group = 12 if C2_4 >= 65 & C2_4 <=69
replace age_group = 13 if C2_4 >= 70 & C2_4 <=74
replace age_group = 14 if C2_4 >= 75 & C2_4 <=79
replace age_group = 15 if C2_4 >= 80 & C2_4 <=84
replace age_group = 16 if C2_4 >= 85 
		
		egen male_married = sum(C2_5) if C2_3 == 1 & C2_5 == 1, by(age_group) 
		
		egen total_male = count(age_group) if C2_3 == 1
		
		gen prop_male = (male_married/total_male)*100
		
		collapse prop_male, by(age_group)
	 
	    replace prop_male = 0 if prop_male== .
		 
		format prop_male %9.1f
		
		mkmat prop_male, matrix(m_sa)
		
		* Female
		use "${coded}\DataForReg_coded.dta", clear

		drop if C2_4 > 100
		
		keep C2_4 C2_5 C2_3
		
		*- Create age groups
gen age_group = .
replace age_group = 0 if C2_4 < 10
replace age_group = 1 if C2_4 >= 10 & C2_4 <=14
replace age_group = 2 if C2_4 >= 15 & C2_4 <=19
replace age_group = 3 if C2_4 >= 20 & C2_4 <=24
replace age_group = 4 if C2_4 >= 25 & C2_4 <=29
replace age_group = 5 if C2_4 >= 30 & C2_4 <=34
replace age_group = 6 if C2_4 >= 35 & C2_4 <=39
replace age_group = 7 if C2_4 >= 40 & C2_4 <=44
replace age_group = 8 if C2_4 >= 45 & C2_4 <=49
replace age_group = 9 if C2_4 >= 50 & C2_4 <=54
replace age_group = 10 if C2_4 >= 55 & C2_4 <=59
replace age_group = 11 if C2_4 >= 60 & C2_4 <=64
replace age_group = 12 if C2_4 >= 65 & C2_4 <=69
replace age_group = 13 if C2_4 >= 70 & C2_4 <=74
replace age_group = 14 if C2_4 >= 75 & C2_4 <=79
replace age_group = 15 if C2_4 >= 80 & C2_4 <=84
replace age_group = 16 if C2_4 >= 85 
		
egen fem_married = sum(C2_5) if C2_3 == 2 & C2_5 == 1, by(age_group)

egen total_female = count(age_group) if C2_3 == 2

gen prop_fem = (fem_married/total_female)*100
		
collapse prop_fem, by(age_group)

replace prop_fem = 0 if prop_fem == .

sort age_group
format prop_fem %9.1f
	
		mkmat prop_fem, matrix(f_sa)		
		
		* Create matrix with information
		matrix age_married = si,tn,m_sa,f_sa
		matrix rownames age_married = "married (\%) $<$10Yrs" "\hspace{2cm} 10-14" "\hspace{2cm} 15-19" "\hspace{2cm} 20-24" "\hspace{2cm} 25-29" "\hspace{2cm} 30-34" "\hspace{2cm} 35-39" "\hspace{2cm} 40-44" "\hspace{2cm} 45-49" "\hspace{2cm} 50-54" "\hspace{2cm} 55-59" "\hspace{2cm} 60-64" "\hspace{2cm} 65-69" "\hspace{2cm} 70-74" "\hspace{2cm} 75-79" "\hspace{2cm} 80-84" "\hspace{2cm} 85$>$Yrs"
		matrix colnames age_married = "agedist01" "agedist02" "agedist03" "agedist11" "agedist12" "agedist13"
		
		matsave age_married, path("${raw}") replace saving dropall
		
		******* Kolmogorov-Smirnov test *********
		
		use "${raw}\age_married.dta", clear
		
		drop _rowname
		gen id = _n
		
		rename (agedist01 agedist02 agedist03 agedist11 agedist12 agedist13) (aged01 aged11 aged02 aged12 aged03 aged13)

// Si is sample 1
// TN is sample 2
//Vellore is sample 3

		reshape long aged1 aged0, i(id) j(sample)

		rename id agegroup

		gen id = _n

		reshape long aged, i(id) j(d_fem)

		* comparing age dist for men
		preserve
			keep if sample==1|sample==3
			keep if d_fem==0
			ksmirnov aged, by(sample) exact
			global si_m: display %12.2fc `r(p_exact)'
		restore

		preserve
			keep if sample==2|sample==3
			keep if d_fem==0
			ksmirnov aged, by(sample) exact
			global tn_m: display %12.2fc `r(p_exact)'
		restore

		* comparing age dist for women
		preserve
			keep if sample==1|sample==3
			keep if d_fem==1
			ksmirnov aged, by(sample) exact
			global si_w: display %12.2fc `r(p_exact)'
		restore

		preserve
			keep if sample==2|sample==3
			keep if d_fem==1
			ksmirnov aged, by(sample) exact
			global tn_w: display %12.2fc `r(p_exact)'
		restore
		
		******* rates *********
		
		* Import literacy rates
		import excel "${raw}\tableA1_SI_TN_SICHS comparison.xlsx", sheet("StateWiseLiteracyRateByResidenc") cellrange(A4:G42) firstrow clear
		
		keep A F G
		
		keep if A == "Andhra Pradesh (Un-divided)" | A == "Karnataka" | A == "Maharashtra" | A == "Tamil Nadu"
		
		* Create info for South India
		set obs 5
		replace A = "South India" in 5
		
		egen si = mean(F) 
		replace F = si in 5
		drop si
		
		egen si = mean(G) 
		replace G = si in 5
		drop si
		
				
		* Get matrices
		preserve
		keep if A == "Tamil Nadu" 
		mkmat F , matrix(m_tn_lr)
		mkmat G, matrix(w_tn_lr)
		restore

		preserve
		keep if A == "South India" 
		mkmat F , matrix(m_si_lr)
		mkmat G, matrix(w_si_lr)
		restore
		
		* SICHS information 
		preserve 
		use "${coded}\DataForReg_coded.dta", clear

		drop if C2_4 > 100

		* Female 
		gen lit_f = 1 if C2_4 >= 7 & IsFemale == 1 & EdYears >= 1 
		replace lit_f = 0 if C2_4 >= 7 & IsFemale == 1  & EdYears == 0 
		sum lit_f
		matrix lit_f = r(mean)*100

		* Male
		gen lit_m = 1 if C2_4 >= 7 & IsFemale == 0 & EdYears >= 1 
		replace lit_m = 0 if C2_4 >= 7 & IsFemale == 0 & EdYears == 0
		sum lit_m
		matrix lit_m = r(mean)*100
		restore
		
		* Join matrix
		matrix lr = m_si_lr,m_tn_lr,lit_m,w_si_lr,w_tn_lr,lit_f
		matrix rownames lr= "Literacy rate (\%)"
			
		******* LFPR *******
		
		*Female
		import excel "${raw}\tableA1_SI_TN_SICHS comparison.xlsx", sheet("LFPR-Rural(2009-10)") cellrange(K18:L21) firstrow clear
		
		drop Females
		tempfile fem
		save `fem'
		
		*Male
		import excel "${raw}\tableA1_SI_TN_SICHS comparison.xlsx", sheet("LFPR-Rural(2009-10)") cellrange(K13:L16) firstrow clear
		append using `fem'
		
		replace L = L*100
		xpose, clear
		drop if _n ==1
		mkmat v1 v2 v3 v4 v5 v6, matrix(LFP)
		matrix rownames LFP = "Labor force participation"
		
		******* Religion *******
		import excel "${raw}\tableA1_SI_TN_SICHS comparison.xlsx", sheet("religion") cellrange(A4:H292) firstrow clear

		replace A = A[_n-1] if A==""
		
		drop Persons Male Female F H
		rename G Male
		
		keep if A == "Andhra Pradesh (Undivided)" | A == "Karnataka " | A == "Maharashtra " | A == "Tamil Nadu "
		
		* Create info for South India
		set obs 45
		replace A = "South India" if A == ""
		
		replace Communities = "All Religions" in 37
		replace Communities = "Hindus" in 38
		replace Communities = "Muslims" in 39
		replace Communities = "Christians" in 40
		replace Communities = "Sikhs" in 41
		replace Communities = "Buddhists" in 42
		replace Communities = "Jains" in 43
		replace Communities = "Others" in 44
		replace Communities = "Religion not stated" in 45
		
		local cat ""All Religions"  "Hindus" "Muslims" "Christians" "Sikhs" "Buddhists" "Jains" "Others" "Religion not stated" "
		
			foreach x of local cat {
				egen category = total(Male) if Communities == "`x'"
				replace Male = category if A == "South India" & Communities == "`x'"
		
			drop category
			}
			
		drop if A == "Andhra Pradesh (Undivided)" | A == "Karnataka " | A == "Maharashtra "	
		
		gen total = Male if Communities == "All Religions"
		replace total = total[_n-1] if total==.
		
		egen other = total(Male) if Communities == "Sikhs" | Communities == "Buddhists" | Communities == "Jains" | Communities == "Others" | Communities == "Religion not stated", by(A)
		replace Male = other if Communities == "Others"
		
		drop if Communities == "Sikhs" | Communities == "Buddhists" | Communities == "Jains" | Communities == "Religion not stated"
		drop other
		
		* Get proportions
		gen prop = . 
		
		local cat " "Hindus" "Muslims" "Christians" "Others" "
		foreach x of local cat {
		replace prop = (Male/total)*100 if Communities == "`x'"
		}
		
		drop if prop == .
		
		* Save results		
		preserve
		keep A prop
		keep if A == "Tamil Nadu "
		mkmat prop, matrix(tn_r)
		restore
		
		preserve
		keep A prop
		keep if A == "South India"
		mkmat prop, matrix(si_r)
		restore
		
		preserve
		* SICHS information 
		use "${coded}\DataForReg_coded.dta", clear

		duplicates drop HHid, force
		keep if IsFemale == 0
		drop if missing(C3)
		gen id = _n
		collapse (percent)id, by(C3)
		gen christian = id[3]
		gen muslim = id[4]
		replace id = christian if C3 == "2"
		replace id = muslim if C3 == "1"
		drop if C3 == "-1"
		mkmat id, matrix(v_r)
		restore
		
		matrix religion = si_r, tn_r , v_r
		matrix rownames religion = "Hindu (\%)" "Muslim (\%)" "Christian (\%)" "Other (\%)"
		
		******* Sex ratio *******
		
		* Import data
		import excel "${raw}\tableA1_SI_TN_SICHS comparison.xlsx", sheet("StateWiseSexRatio") cellrange(A4:D40) firstrow clear
		
		keep A Rural
		
		keep if A == "Andhra Pradesh" | A == "Karnataka" | A == "Maharashtra" | A == "Tamil Nadu"
		
		* Create info for South India
		set obs 5
		replace A = "South India" if A == ""
		
		egen si = total(Rural) 
		replace Rural = si/4 if A == "South India" 
		drop si
		
		keep if A == "Tamil Nadu" | A == "South India" 
		
		* Get ratio
		replace Rural = (1000/Rural)*100
		
		xpose, clear
		drop if _n ==1
		order v2 v1

		mkmat v2 v1, matrix(ratio_si)
		
		preserve
		* SICHS 
		use "${coded}\DataForReg_coded.dta", clear
		su IsFemale 
		mat v_sr = ((1 - `r(mean)')/`r(mean)')*100
		restore
		
		matrix ratio = ratio_si, v_sr
		matrix rownames ratio = "Sex Ratio"
		
		******* Child sex ratio *******
		
		* Import data
		import excel "${raw}\tableA1_SI_TN_SICHS comparison.xlsx", sheet("ChildSexRatio") cellrange(A4:D42) firstrow clear

		keep StatesUTs Rural
		
		keep if StatesUTs == "Andhra Pradesh" | StatesUTs == "Karnataka" | StatesUTs == "Maharashtra" | StatesUTs == "Tamil Nadu"
		
		 * Create info for South India
		set obs 5
		replace StatesUTs = "South India" in 5
		
		egen si = total(Rural) 
		replace Rural = si/4 if StatesUTs == "South India" 
		drop si
		
		keep if StatesUTs == "Tamil Nadu" | StatesUTs == "South India" 
		
		* Get ratio
		replace Rural = (1000/Rural)*100
		
		xpose, clear
		drop if _n ==1
		order v2 v1

		mkmat v2 v1, matrix(cratio_si)
		
		* SICHS information
		preserve
		use "${coded}/data_for_robinson.dta", clear

		reg d_girl6 ref_rank_pred_inc_yg2p
		su d_girl6 if e(sample)
		mat c_sr = ((1 - `r(mean)')/`r(mean)')*100
		restore
		
		matrix cratio = cratio_si, c_sr
		matrix rownames cratio = "Child Sex Ratio"
		
		matrix scratio = ratio\cratio
		
		******* Population *******
		
		* Import data
 		import excel "${raw}\tableA1_SI_TN_SICHS comparison.xlsx", sheet("TotalPopulationByResidenceAndSe") cellrange(A4:G42) firstrow clear
		
		keep A F G

		keep if A == "Andhra Pradesh (Un-Divided)" | A == "Karnataka" | A == "Maharashtra" | A == "Tamil Nadu"
		
		* Create info for South India
		set obs 5
		replace A = "South India" in 5
		
		egen si = total(F) 
		replace F = si in 5
		drop si
		
		egen si = total(G) 
		replace G = si in 5
		drop si
		
		* Get matrices
		preserve
		keep if A == "Tamil Nadu" 
		mkmat F , matrix(tn_pm)
		mkmat G, matrix(tn_pf)
		restore

		preserve
		keep if A == "South India" 
		mkmat F, matrix(si_pm)
		mkmat G, matrix(si_pf)
		restore
		
		* SICHS information
		preserve 
		use "${coded}\DataForReg_coded.dta", clear

		count if IsFemale== 0
		matrix sc_m = r(N)

		count if IsFemale== 1
		matrix sc_f = r(N)
		restore
		
		matrix pop = si_pm, tn_pm, sc_m ,si_pf,tn_pf, sc_f 
		matrix rownames pop = "Population"
		
		******* Output table *******
		
		* Panel A
	   esttab matrix(age_married, fmt(%10.1fc)) using "${out}\tables\table_A1.tex", ///
       nomtitle noeqlines nolines nomtitles nonumbers nodepvars collabels(,none) ///
	   replace fragment ///
	   prehead("\begin{threeparttable}" ///
				"\begin{tabular}{lcccccc} \hline" ///
				"& \multicolumn{3}{c}{Men} & \multicolumn{3}{c}{Women} \\" ///	     
				"\cmidrule(lr){2-4} \cmidrule(lr){5-7}" ///
				"Region & South India & Tamil Nadu & Study Area & South India & Tamil Nadu 	& Study Area \\" ///
				"\cmidrule(lr){1-7} %\cmidrule(lr){5-7}"  ///
				"\textbf{\textit{Panel A}}& & & & & & \\" ///
				"Age distribution & & & & & & \\") ///
		prefoot("\\ Kolmogorov-Smirnov & $si_m & $tn_m & - & $si_w & $tn_w & - \\" ///
				"test of equality (p-value) & & & & & & \\")
		
		esttab matrix(lr, fmt(%10.1fc)) using "${out}\tables\table_A1.tex", ///
		nomtitle noeqlines nolines nomtitles nonumbers nodepvars collabels(,none) ///
		prehead("& & & & & & \\") ///
	    append fragment
		
		esttab matrix(LFP, fmt(%10.1fc)) using "${out}\tables\table_A1.tex", ///
		nomtitle noeqlines nolines nomtitles nonumbers nodepvars collabels(,none) ///
	    append fragment ///
		prehead("& & & & & & \\") ///
		prefoot ("rate (\%, 15-59 years) & & & & & & \\ \\")
		
		* Panel B
		esttab matrix(religion, fmt(%10.1fc)) using "${out}\tables\table_A1.tex", ///
		nomtitle noeqlines nolines nomtitles nonumbers nodepvars collabels(,none) ///
		prehead("\textbf{\textit{Panel B}}& & & & & & \\") ///
	    append fragment
		
		esttab matrix(scratio, fmt(%10.0fc)) using "${out}\tables\table_A1.tex", ///
		nomtitle noeqlines nolines nomtitles nonumbers nodepvars collabels(,none) ///
		prehead("& & & & & & \\") ///
	    append fragment 
		
		esttab matrix(pop, fmt(%10.0fc)) using "${out}\tables\table_A1.tex", ///
		nomtitle noeqlines nolines nomtitles nonumbers nodepvars collabels(,none) ///
	    append fragment ///
		prehead("& & & & & & \\") ///
		postfoot("\hline \end{tabular}" ///
		"\begin{tablenotes} \footnotesize \item {\textit{Notes}: South India includes rural Maharashtra, Karnataka, Andra Pradesh, and Tamil Nadu. Tamil Nadu refers to rural Tamil Nadu. \% married measures the number of married individuals in each age category as a fraction of the total population, seperately for men and women. Literacy rate is defined by the Goverment of India as the percentage of those aged 7+ who can, with understanding, read and write a short,  simple statement on their everyday life; SICHS Census definition is those aged 7+ with $\geq$ 1 year of education (figures for $\geq$ 3 years of education are similar, 73.8\% for men and 59.5\% for women). Labor force participation is defined as the proportion of 15-59 year old persons of the total 15-59 years population who are either employed or seeking or available for employment. Sex Ratio refers to the number of males per 100 females in the population. Child sex ratio is the number of males per 100 females for those aged between 0-6 years. \\ \textit{Sources:} For Tamil Nadu and South India, the data on age distribution, literacy rate, religious composition and sex ratios are from the 2011 Census of India. The data on labor force participation is from the Ministry of Labor and Employment, Government of India, 2009-10. For Study Area, all statistics based on SICHS Census."} ///
		"\end{tablenotes} \end{threeparttable}") 
		
*		varlabels(	coll_nhood_safety "College neighborhood safety" ///
*		boarding "Boarding" num_courses "Number of majors" college_size "Size of college" avg_annual_fees "Annual tuition" _cons "Constant") ///
		
		

		
		

