*<<<<<<< Updated upstream:code/stata/4_adding_historical_data.do
/*=========================================================================
Project: Wealth, marriage and sex selection
Author: Girija Borker
---------------------------------------------------------------------------
Do file: 4_adding_historical_data.do
=========================================================================*/

insheet using "${raw}/Master_v1.csv", clear 
save "${raw}/Master_v1.dta", replace

local taluklist Arcot Tirupattur Wallajah
local varlist area caste occupation

foreach taluk of local taluklist{
foreach var of local varlist{
	clear
	insheet using "${raw}/`taluk'_`var'.csv"
	duplicates drop consecno, force
	cap destring villagecode, replace
	save "${raw}/`taluk'_`var'.dta", replace
	}
}

local taluklist Arcot Tirupattur Wallajah
local varlist area caste occupation

foreach taluk of local taluklist {

	use "${raw}/Master_v1.dta", clear
	keep if taluk=="`taluk'"
	foreach var of local varlist{
	merge m:1 consecno using "${raw}/`taluk'_`var'.dta"
	keep if _merge==3 // only kept historical information for matched villages
	drop _merge
	}
	cap rename otherchristian otherchristians
	destring population brahmans kshatryias chetties vellalar idaiyars kammalan ///
	kanakkan kaikalar vannian kusavan satani sembadavan shanan ambattan vannan ///
	otherhindus pariahs lubbayrs moplars arabs seik syed pathan mogul othermahomedans /// 
	totalmahomedans budhists europeans eurasians totalchristians grandtotal governmentservice ///
	military learned minorprofessions personalservice traders conveyers cultivators  ///
	food metals construction books householdgoods combustibles labourers property ///
	unproductive others total femalesandmalechildrenunder10yea ///
	otherchristians, replace
	cap destring noincollectorslist, replace
	save "${raw}/Master_`taluk'", replace
}

use "${raw}/Master_Arcot.dta", clear
rename (areaofgovernmentland_assessed_oc areaofgovernmentland_assessed_un areaofgovernmentlandunassessedcu areaofgovernmentland_unassessed_ demandonaccountoflandrevenueryot v13 v14 averagerateperacreoncultivatedla v16 v17 v18 v19 v20 femalesandmalechildrenunder10yea) (govt_land_asses_oc govt_land_asses_unocc govt_land_asses_cult govt_land_asses_uncult dd_landrev_rs dd_landrev_a dd_landrev_p avg_rpa_cult_wet_rs avg_rpa_cult_wet_a avg_rpa_cult_wet_p avg_rpa_cult_dry_rs avg_rpa_cult_dry_a avg_rpa_cult_dry_p childunder10)
save "${raw}/Master_Arcot.dta", replace

use "${raw}/Master_Tirupattur.dta", clear
rename (areaofgovtlandassessedoccupiedin areaofgovtlandassessedunoccupied areaofgovtlandunassessedcultivab areaofgovtlandunassesseduncultiv demandonaccountoflandrevenueryot v10 v11 averagerateperacreoncultivatedla v13 v14 v15 v16 v17 femalesandmalechildrenunder10yea landrevenuemiscrs landrevenuemisca landrevenuemiscp) (govt_land_asses_oc govt_land_asses_unocc govt_land_asses_cult govt_land_asses_uncult dd_landrev_rs dd_landrev_a dd_landrev_p avg_rpa_cult_wet_rs avg_rpa_cult_wet_a avg_rpa_cult_wet_p avg_rpa_cult_dry_rs avg_rpa_cult_dry_a avg_rpa_cult_dry_p childunder10 landrevenuemisc_rs landrevenuemisc_a landrevenuemisc_p)
//drop  v26 v27 v28 v29 v37 v23 v25  
save "${raw}/Master_Tirupattur.dta", replace

use "${raw}/Master_Wallajah.dta", clear
rename (areaofgovernmentland_assessed_oc areaofgovernmentland_assessed_un areaofgovernmentland_unassessed_ v11 demandonaccountoflandrevenueryot v13 v14 averagerateperacreoncultivatedla v16 v17 v18 v19 v20 femalesandmalechildrenunder10yea) (govt_land_asses_oc govt_land_asses_unocc govt_land_asses_cult govt_land_asses_uncult dd_landrev_rs dd_landrev_a dd_landrev_p avg_rpa_cult_wet_rs avg_rpa_cult_wet_a avg_rpa_cult_wet_p avg_rpa_cult_dry_rs avg_rpa_cult_dry_a avg_rpa_cult_dry_p childunder10)
drop entered18092014 v39 v40 entered14aug entered18082014
save "${raw}/Master_Wallajah.dta", replace

/*

rename landrevenuemiscrs landrevenuemisc_rs 
rename landrevenuemisca landrevenuemisc_a
rename  landrevenuemiscp landrevenuemisc_p

*/

use "${raw}/Master_Arcot.dta", clear
save "${raw}/Master_merged.dta", replace

local taluklist Tirupattur Wallajah
foreach taluk of local taluklist{
	append using "${raw}/Master_`taluk'"
	save "${raw}/Master_appended.dta", replace
}

rename currentpanchayatcode A2
tostring A2, replace

/*gen p_code = A2
gen v_code = villagecode
tostring v_code, replace
gen taluk_g = taluk
gen consecno_g = consecno*/

save "${coded}/Historical_data", replace


*=======
/*=========================================================================
Project: Wealth, marriage and sex selection
Author: Girija Borker, Jan Eeckhout, Nancy Luke, Shantidani Minz, Kaivan 
Munshi and Soumya Swaminathan. 
---------------------------------------------------------------------------
Do file: 4_adding_historical_data.do
=========================================================================*/

insheet using "${raw}/Master_v1.csv", clear 
save "${raw}/Master_v1.dta", replace

local taluklist Arcot Tirupattur Wallajah
local varlist area caste occupation

foreach taluk of local taluklist{
foreach var of local varlist{
	clear

	insheet using "${raw}/`taluk'_`var'.csv"
	duplicates drop consecno, force
	cap destring villagecode, replace
	save "${raw}/`taluk'_`var'.dta", replace
	}
}

local taluklist Arcot Tirupattur Wallajah
local varlist area caste occupation

foreach taluk of local taluklist {

	use "${raw}/Master_v1.dta", clear
	keep if taluk=="`taluk'"
	foreach var of local varlist{
	merge m:1 consecno using "${raw}/`taluk'_`var'.dta"

	keep if _merge==3 // only kept historical information for matched villages
	drop _merge
	}
	cap rename otherchristian otherchristians
	destring population brahmans kshatryias chetties vellalar idaiyars kammalan ///
	kanakkan kaikalar vannian kusavan satani sembadavan shanan ambattan vannan ///
	otherhindus pariahs lubbayrs moplars arabs seik syed pathan mogul othermahomedans /// 
	totalmahomedans budhists europeans eurasians totalchristians grandtotal governmentservice ///
	military learned minorprofessions personalservice traders conveyers cultivators  ///
	food metals construction books householdgoods combustibles labourers property ///
	unproductive others total femalesandmalechildrenunder10yea ///
	otherchristians, replace
	cap destring noincollectorslist, replace
	save "${raw}/Master_`taluk'", replace
}

use "${raw}/Master_Arcot.dta", clear
rename (areaofgovernmentland_assessed_oc areaofgovernmentland_assessed_un areaofgovernmentlandunassessedcu areaofgovernmentland_unassessed_ demandonaccountoflandrevenueryot v13 v14 averagerateperacreoncultivatedla v16 v17 v18 v19 v20 femalesandmalechildrenunder10yea) (govt_land_asses_oc govt_land_asses_unocc govt_land_asses_cult govt_land_asses_uncult dd_landrev_rs dd_landrev_a dd_landrev_p avg_rpa_cult_wet_rs avg_rpa_cult_wet_a avg_rpa_cult_wet_p avg_rpa_cult_dry_rs avg_rpa_cult_dry_a avg_rpa_cult_dry_p childunder10)
save "${raw}/Master_Arcot.dta", replace

use "${raw}/Master_Tirupattur.dta", clear
rename (areaofgovtlandassessedoccupiedin areaofgovtlandassessedunoccupied areaofgovtlandunassessedcultivab areaofgovtlandunassesseduncultiv demandonaccountoflandrevenueryot v10 v11 averagerateperacreoncultivatedla v13 v14 v15 v16 v17 femalesandmalechildrenunder10yea landrevenuemiscrs landrevenuemisca landrevenuemiscp) (govt_land_asses_oc govt_land_asses_unocc govt_land_asses_cult govt_land_asses_uncult dd_landrev_rs dd_landrev_a dd_landrev_p avg_rpa_cult_wet_rs avg_rpa_cult_wet_a avg_rpa_cult_wet_p avg_rpa_cult_dry_rs avg_rpa_cult_dry_a avg_rpa_cult_dry_p childunder10 landrevenuemisc_rs landrevenuemisc_a landrevenuemisc_p)
//drop  v26 v27 v28 v29 v37 v23 v25  
save "${raw}/Master_Tirupattur.dta", replace

use "${raw}/Master_Wallajah.dta", clear
rename (areaofgovernmentland_assessed_oc areaofgovernmentland_assessed_un areaofgovernmentland_unassessed_ v11 demandonaccountoflandrevenueryot v13 v14 averagerateperacreoncultivatedla v16 v17 v18 v19 v20 femalesandmalechildrenunder10yea) (govt_land_asses_oc govt_land_asses_unocc govt_land_asses_cult govt_land_asses_uncult dd_landrev_rs dd_landrev_a dd_landrev_p avg_rpa_cult_wet_rs avg_rpa_cult_wet_a avg_rpa_cult_wet_p avg_rpa_cult_dry_rs avg_rpa_cult_dry_a avg_rpa_cult_dry_p childunder10)
drop entered18092014 v39 v40 entered14aug entered18082014
save "${raw}/Master_Wallajah.dta", replace

/*

rename landrevenuemiscrs landrevenuemisc_rs 
rename landrevenuemisca landrevenuemisc_a
rename  landrevenuemiscp landrevenuemisc_p

*/

use "${raw}/Master_Arcot.dta", clear
save "${raw}/Master_merged.dta", replace

local taluklist Tirupattur Wallajah
foreach taluk of local taluklist{
	append using "${raw}/Master_`taluk'"
	save "${raw}/Master_appended.dta", replace
}

rename currentpanchayatcode A2
tostring A2, replace

/*gen p_code = A2
gen v_code = villagecode
tostring v_code, replace
gen taluk_g = taluk
gen consecno_g = consecno*/


save "${coded}/Historical_data", replace

