*! Adds any variables from the HH Survey to the individuals in the Marriage list
program define LoadMergeSICHSVariables
	version 14.2
	syntax namelist using/ , /// varlist namelist, use anzthing in order to parse * etc. for varlist commands, eventhough it is not in the master data
							PERSon(string) QUESTionnaire(string) ///
							[MASTERmergevar(name) USINGmergevar(name)] /// additional variable for merging, e.g. ownchild RSN
 							[Nogen] // Pcode(p_var) Vcode(v_var) HHno(hh_var) RSN(rsn_var) [row_id(row_var)]

 	display "using data `using'"
 	display "add. matching variable using `usingmergevar'"
 	display "add. matching variable master  `mastermergevar'"

	local id_vars "p_code v_code nirt_no rsn"
	
	*assert "`usingmergevar'" != ""
	*assert "`mastermergevar'" != ""

	preserve 	// PRESERVE CURRENT DATA IN MEMORY

		use `using', clear



		*** rename row_id ***

		if strpos("`using'","SEC_E") {

			if "`questionnaire'"=="MPR" {

				if (strpos("`person'", "son")>0 | strpos("`person'", "daughter")>0) {

					rename mpr_row_id_sec_e 	row_id					

				}
			}

			if "`questionnaire'"=="FPR" {

				if (strpos("`person'", "son")>0 | strpos("`person'", "daughter")>0) {

					rename fpr_row_id_sec_e 	row_id

				}
			}		
		}


		cap gen row_id = . 	// only if it does not already exist

		keep `id_vars' row_id `namelist' `usingmergevar'

		tab row_id, missing

		if "`usingmergevar'"!="" {
			rename `usingmergevar' `mastermergevar'
			display "renamed `usingmergevar' to `mastermergevar'"	
		}


		gen person="`person'"
		gen questionnaire="`questionnaire'"




		tempfile SurveyData2Merge
		save `SurveyData2Merge'

	restore 	// RESTORE CURRENT DATA IN MEMORY	


	merge 1:1 `id_vars' row_id person questionnaire `mastermergevar' using `SurveyData2Merge', keep(1 3 4 5) update `nogen' // gen(_merge_SICHSData) 


end
