/*=========================================================================
Project: Wealth, marriage and sex selection
Author: Girija Borker, Jan Eeckhout, Nancy Luke, Shantidani Minz, Kaivan 
Munshi and Soumya Swaminathan. 
---------------------------------------------------------------------------
Do file: 3_1_just_brother.do
=========================================================================*/

****************
* just brother *
****************

* family with pe + family , his/her brother and family - by each brother code B C D E
* we count all both families with and wihout a wife i.e just brother and kids and just brother's wife and kids

gen jb = .

local varlist B
foreach bro of local varlist{
	
	replace jb = 1 if  (C2_6_`bro'==1) & ///
	(C2_6_`bro'W==1) & (C2_6_`bro'1==1|C2_6_`bro'2==1|C2_6_`bro'3==1|C2_6_`bro'6==1|C2_6_`bro'7==1|C2_6_`bro'8==1 | ///
	C2_6_`bro'W1==1|C2_6_`bro'W6==1 ) // need to account for possibility of brother's child coded as BW6
	
	replace num_sib=1 if C2_6=="`bro'" & (C2_6_`bro'==1) & ///
	(C2_6_`bro'W==1) & (C2_6_`bro'1==1|C2_6_`bro'2==1|C2_6_`bro'3==1|C2_6_`bro'6==1|C2_6_`bro'7==1|C2_6_`bro'8==1 | ///
	C2_6_`bro'W1==1|C2_6_`bro'W6==1 )
	
	
	* just brother and kids - no wife
	replace jb = 1 if  (C2_6_`bro'==1) & ///
	(C2_6_`bro'1==1|C2_6_`bro'2==1|C2_6_`bro'3==1|C2_6_`bro'6==1|C2_6_`bro'7==1|C2_6_`bro'8==1| ///
	C2_6_`bro'W1==1|C2_6_`bro'W6==1) // need to account for possibility of brother's child coded as BW6
	
	replace num_sib=1 if C2_6=="`bro'" & (C2_6_`bro'==1) & ///
	(C2_6_`bro'1==1|C2_6_`bro'2==1|C2_6_`bro'3==1|C2_6_`bro'6==1|C2_6_`bro'7==1|C2_6_`bro'8==1| ///
	C2_6_`bro'W1==1|C2_6_`bro'W6==1)
	
	
	* no brother, just wife and kids
	replace jb = 1 if  (C2_6_`bro'W==1) & ///
	(C2_6_`bro'1==1|C2_6_`bro'2==1|C2_6_`bro'3==1|C2_6_`bro'6==1|C2_6_`bro'7==1|C2_6_`bro'8==1| ///
	C2_6_`bro'W1==1|C2_6_`bro'W6==1)
	
	replace num_sib=1 if C2_6=="`bro'W" & (C2_6_`bro'W==1) & ///
	(C2_6_`bro'1==1|C2_6_`bro'2==1|C2_6_`bro'3==1|C2_6_`bro'6==1|C2_6_`bro'7==1|C2_6_`bro'8==1| ///
	C2_6_`bro'W1==1|C2_6_`bro'W6==1)
	
	* brother died, just wife and kids
	replace jb = 1 if  (C2_6_X`bro'W==1) & ///
	(C2_6_X`bro'1==1|C2_6_X`bro'2==1|C2_6_X`bro'3==1|C2_6_X`bro'6==1|C2_6_X`bro'7==1|C2_6_X`bro'8==1) 
	
	replace num_sib=1 if C2_6=="X`bro'W" & (C2_6_X`bro'W==1) & ///
	(C2_6_X`bro'1==1|C2_6_X`bro'2==1|C2_6_X`bro'3==1|C2_6_X`bro'6==1|C2_6_X`bro'7==1|C2_6_X`bro'8==1) 
	
}

local varlist C
foreach bro of local varlist{
	
	replace jb = 1 if  (C2_6_`bro'==1) & ///
	(C2_6_`bro'W==1) & (C2_6_`bro'1==1|C2_6_`bro'2==1|C2_6_`bro'3==1|C2_6_`bro'6==1|C2_6_`bro'7==1| ///
	C2_6_`bro'W6==1)
	
	replace num_sib=1 if C2_6=="`bro'" & (C2_6_`bro'==1) & ///
	(C2_6_`bro'W==1) & (C2_6_`bro'1==1|C2_6_`bro'2==1|C2_6_`bro'3==1|C2_6_`bro'6==1|C2_6_`bro'7==1| ///
	C2_6_`bro'W6==1)
	
	* just brother and kids - no wife
	replace jb = 1 if  (C2_6_`bro'==1) & ///
	(C2_6_`bro'1==1|C2_6_`bro'2==1|C2_6_`bro'3==1|C2_6_`bro'6==1|C2_6_`bro'7==1| ///
	C2_6_`bro'W6==1)
	
	replace num_sib=1 if C2_6=="`bro'" & (C2_6_`bro'==1) & ///
	(C2_6_`bro'1==1|C2_6_`bro'2==1|C2_6_`bro'3==1|C2_6_`bro'6==1|C2_6_`bro'7==1| ///
	C2_6_`bro'W6==1)
	
	* no brother, just wife and kids
	replace jb = 1 if  (C2_6_`bro'W==1) & ///
	(C2_6_`bro'1==1|C2_6_`bro'2==1|C2_6_`bro'3==1|C2_6_`bro'6==1|C2_6_`bro'7==1| ///
	C2_6_`bro'W6==1)
	
	replace num_sib=1 if C2_6=="`bro'W" & (C2_6_`bro'W==1) & ///
	(C2_6_`bro'1==1|C2_6_`bro'2==1|C2_6_`bro'3==1|C2_6_`bro'6==1|C2_6_`bro'7==1| ///
	C2_6_`bro'W6==1)
	
	* brother died, just wife and kids
	replace jb = 1 if  (C2_6_X`bro'W==1) & ///
	(C2_6_X`bro'1==1|C2_6_X`bro'6==1|C2_6_X`bro'7==1)
	
	replace num_sib=1 if C2_6=="X`bro'W" & (C2_6_X`bro'W==1) & ///
	(C2_6_X`bro'1==1|C2_6_X`bro'6==1|C2_6_X`bro'7==1)
	
}

local varlist D
foreach bro of local varlist{
	
	replace jb = 1 if  (C2_6_`bro'==1) & ///
	(C2_6_`bro'W==1) & (C2_6_`bro'1==1|C2_6_`bro'6==1|C2_6_`bro'7==1)
	
	replace num_sib=1 if C2_6=="`bro'" & (C2_6_`bro'==1) & ///
	(C2_6_`bro'W==1) & (C2_6_`bro'1==1|C2_6_`bro'6==1|C2_6_`bro'7==1)
	
	* just brother and kids - no wife
	replace jb = 1 if  (C2_6_`bro'==1) & ///
	(C2_6_`bro'1==1|C2_6_`bro'6==1|C2_6_`bro'7==1)
	
	replace num_sib=1 if C2_6=="`bro'" & (C2_6_`bro'==1) & ///
	(C2_6_`bro'1==1|C2_6_`bro'6==1|C2_6_`bro'7==1)
	
	* no brother, just wife and kids
	replace jb = 1 if  (C2_6_`bro'W==1) & ///
	(C2_6_`bro'1==1|C2_6_`bro'6==1|C2_6_`bro'7==1)
	
	replace num_sib=1 if C2_6=="`bro'W" & (C2_6_`bro'W==1) & ///
	(C2_6_`bro'1==1|C2_6_`bro'6==1|C2_6_`bro'7==1)
	
	 * brother died, just wife and kids
	 * NO CASES

}

* first cousins of pe - FB1
local varlist B1
foreach bro of local varlist{
	
	replace jb = 1 if  (C2_6_F`bro'==1) & ///
	(C2_6_F`bro'W==1) & (C2_6_F`bro'1==1|C2_6_F`bro'2==1|C2_6_F`bro'3==1)
	
	replace num_sib=1 if C2_6=="F`bro'" & (C2_6_F`bro'==1) & ///
	(C2_6_F`bro'W==1) & (C2_6_F`bro'1==1|C2_6_F`bro'2==1|C2_6_F`bro'3==1)

	* just brother and kids - no wife
	replace jb = 1 if  (C2_6_F`bro'==1) & ///
	(C2_6_F`bro'1==1|C2_6_F`bro'2==1|C2_6_F`bro'3==1)
	
	replace num_sib=1 if C2_6=="F`bro'" & (C2_6_F`bro'==1) & ///
	(C2_6_F`bro'1==1|C2_6_F`bro'2==1|C2_6_F`bro'3==1)
	
	* no brother, just wife and kids
	replace jb = 1 if  (C2_6_F`bro'W==1) & ///
	(C2_6_F`bro'1==1|C2_6_F`bro'2==1|C2_6_F`bro'3==1)
	
	replace num_sib=1 if C2_6=="F`bro'W" & (C2_6_F`bro'W==1) & ///
	(C2_6_F`bro'1==1|C2_6_F`bro'2==1|C2_6_F`bro'3==1)
	
	* brother died, just wife and kids
	replace jb = 1 if  (C2_6_FX`bro'W==1) & ///
	(C2_6_FX`bro'1==1)
	
	replace num_sib=1 if C2_6=="FX`bro'W" & (C2_6_FX`bro'W==1) & ///
	(C2_6_FX`bro'1==1)

}


* SPOUSE'S brother

gen wb = .

local varlist B
foreach bro of local varlist{
	
	replace wb = 1 if  (C2_6_W`bro'==1) & ///
	(C2_6_W`bro'W==1) & (C2_6_W`bro'1==1|C2_6_W`bro'2==1|C2_6_W`bro'6==1|C2_6_W`bro'7==1|C2_6_W`bro'8==1 | ///
	C2_6_W`bro'W6==1 ) // need to account for possibility of brother's child coded as BW6
	
	replace num_sib=1 if C2_6=="W`bro'" & (C2_6_W`bro'==1) & ///
	(C2_6_W`bro'W==1) & (C2_6_W`bro'1==1|C2_6_W`bro'2==1|C2_6_W`bro'6==1|C2_6_W`bro'7==1|C2_6_W`bro'8==1 | ///
	C2_6_W`bro'W6==1 )

	* just brother and kids - no wife
	replace wb = 1 if  (C2_6_W`bro'==1) & ///
	(C2_6_W`bro'W==1) & (C2_6_W`bro'1==1|C2_6_W`bro'2==1|C2_6_W`bro'6==1|C2_6_W`bro'7==1|C2_6_W`bro'8==1 | ///
	C2_6_W`bro'W6==1 ) // need to account for possibility of brother's child coded as BW6
	
	replace num_sib=1 if C2_6=="W`bro'" & (C2_6_W`bro'==1) & ///
	(C2_6_W`bro'W==1) & (C2_6_W`bro'1==1|C2_6_W`bro'2==1|C2_6_W`bro'6==1|C2_6_W`bro'7==1|C2_6_W`bro'8==1 | ///
	C2_6_W`bro'W6==1 )
	
	* no brother, just wife and kids
	replace wb = 1 if  (C2_6_W`bro'W==1) & ///
	(C2_6_W`bro'1==1|C2_6_W`bro'2==1|C2_6_W`bro'6==1|C2_6_W`bro'7==1|C2_6_W`bro'8==1 | ///
	C2_6_W`bro'W6==1 )
	
	replace num_sib=1 if C2_6=="W`bro'W" & (C2_6_W`bro'W==1) & ///
	(C2_6_W`bro'1==1|C2_6_W`bro'2==1|C2_6_W`bro'6==1|C2_6_W`bro'7==1|C2_6_W`bro'8==1 | ///
	C2_6_W`bro'W6==1 )
	
	* brother died, just wife and kids
	replace wb = 1 if  (C2_6_WX`bro'W==1) & ///
	(C2_6_WX`bro'1==1|C2_6_WX`bro'2==1|C2_6_WX`bro'6==1|C2_6_WX`bro'7==1)
	
	replace num_sib=1 if C2_6=="WX`bro'W" & (C2_6_WX`bro'W==1) & ///
	(C2_6_WX`bro'1==1|C2_6_WX`bro'2==1|C2_6_WX`bro'6==1|C2_6_WX`bro'7==1)

}

local varlist C
foreach bro of local varlist{
	
	replace wb = 1 if  (C2_6_W`bro'==1) & ///
	(C2_6_W`bro'W==1) & (C2_6_W`bro'1==1)
	
	replace num_sib=1 if C2_6=="W`bro'" & (C2_6_W`bro'==1) & ///
	(C2_6_W`bro'W==1) & (C2_6_W`bro'1==1)

	* just brother and kids - no wife
	replace wb = 1 if  (C2_6_W`bro'==1) & ///
	(C2_6_W`bro'W==1) & (C2_6_W`bro'1==1)
	
	replace num_sib=1 if C2_6=="W`bro'" & (C2_6_W`bro'==1) & ///
	(C2_6_W`bro'W==1) & (C2_6_W`bro'1==1)
	
	* no brother, just wife and kids
	replace wb = 1 if  (C2_6_W`bro'W==1) & ///
	(C2_6_W`bro'1==1)
	
	replace num_sib=1 if C2_6=="W`bro'W" & (C2_6_W`bro'W==1) & ///
	(C2_6_W`bro'1==1)
	
	* brother died, just wife and kids
	* NO CASES

}

gen hb = .
local varlist HB
foreach bro of local varlist{
	
	replace hb = 1 if  (C2_6_`bro'==1) & ///
	(C2_6_`bro'W==1) & (C2_6_`bro'1==1|C2_6_`bro'6==1|C2_6_`bro'7==1)
	
	replace num_sib=1 if C2_6=="`bro'" & (C2_6_`bro'==1) & ///
	(C2_6_`bro'W==1) & (C2_6_`bro'1==1|C2_6_`bro'6==1|C2_6_`bro'7==1)

	* just brother and kids - no wife
	replace hb = 1 if  (C2_6_`bro'==1) & ///
	(C2_6_`bro'W==1) & (C2_6_`bro'1==1|C2_6_`bro'6==1|C2_6_`bro'7==1)
	
	replace num_sib=1 if C2_6=="`bro'" & (C2_6_`bro'==1) & ///
	(C2_6_`bro'W==1) & (C2_6_`bro'1==1|C2_6_`bro'6==1|C2_6_`bro'7==1)
	
	* no brother, just wife and kids
	replace hb = 1 if  (C2_6_`bro'W==1) & ///
	(C2_6_`bro'1==1|C2_6_`bro'6==1|C2_6_`bro'7==1)
	
	replace num_sib=1 if C2_6=="`bro'W" & (C2_6_`bro'W==1) & ///
	(C2_6_`bro'1==1|C2_6_`bro'6==1|C2_6_`bro'7==1)
	
	* brother died, just wife and kids
	* no cases
}

 
