/*=========================================================================
Project: Wealth, marriage and sex selection
Author: Girija Borker, Jan Eeckhout, Nancy Luke, Shantidani Minz, Kaivan 
Munshi and Soumya Swaminathan. 
---------------------------------------------------------------------------
Do file: 3_4_son_family.do
=========================================================================*/

*************
* grand son *
*************

* hh with children of children (grandchildren of pe)

	gen sf = . // grand son

	local varlist 1 
	foreach son of local varlist{
		
		replace sf = 1 if  (C2_6_`son'==1) & ///
		(C2_6_`son'W==1) & (C2_6_`son'1==1|C2_6_`son'2==1|C2_6_`son'3==1|C2_6_`son'4==1|C2_6_`son'5==1|C2_6_`son'6==1|C2_6_`son'7==1|C2_6_`son'8==1)
		
		replace num_child = 1 if C2_6=="`son'" & (C2_6_`son'==1) & ///
		(C2_6_`son'W==1) & (C2_6_`son'1==1|C2_6_`son'2==1|C2_6_`son'3==1|C2_6_`son'4==1|C2_6_`son'5==1|C2_6_`son'6==1|C2_6_`son'7==1|C2_6_`son'8==1)
		
		* just son and kids - no wife
		replace sf = 1 if  (C2_6_`son'==1) & ///
		(C2_6_`son'1==1|C2_6_`son'2==1|C2_6_`son'3==1|C2_6_`son'4==1|C2_6_`son'5==1|C2_6_`son'6==1|C2_6_`son'7==1|C2_6_`son'8==1)
		
		replace num_child = 1 if C2_6=="`son'" & (C2_6_`son'==1) & ///
		(C2_6_`son'1==1|C2_6_`son'2==1|C2_6_`son'3==1|C2_6_`son'4==1|C2_6_`son'5==1|C2_6_`son'6==1|C2_6_`son'7==1|C2_6_`son'8==1)
		
		* no son, just wife and kids
		replace sf = 1 if  (C2_6_`son'W==1) & ///
		(C2_6_`son'1==1|C2_6_`son'2==1|C2_6_`son'3==1|C2_6_`son'4==1|C2_6_`son'5==1|C2_6_`son'6==1|C2_6_`son'7==1|C2_6_`son'8==1)
		
		replace num_child = 1 if C2_6=="`son'W" & (C2_6_`son'W==1) & ///
		(C2_6_`son'1==1|C2_6_`son'2==1|C2_6_`son'3==1|C2_6_`son'4==1|C2_6_`son'5==1|C2_6_`son'6==1|C2_6_`son'7==1|C2_6_`son'8==1)
		
		* son died, just wife and kids
		replace sf = 1 if  (C2_6_X`son'W==1) & ///
		(C2_6_X`son'1==1|C2_6_X`son'2==1|C2_6_X`son'3==1|C2_6_X`son'6==1|C2_6_X`son'7==1|C2_6_X`son'8==1) 
		
		replace num_child = 1 if C2_6=="X`son'W" & (C2_6_X`son'W==1) & ///
		(C2_6_X`son'1==1|C2_6_X`son'2==1|C2_6_X`son'3==1|C2_6_X`son'6==1|C2_6_X`son'7==1|C2_6_X`son'8==1) 

	}

	local varlist 2
	foreach son of local varlist{
		
		replace sf = 1 if  (C2_6_`son'==1) & ///
		(C2_6_`son'W==1) & (C2_6_`son'1==1|C2_6_`son'2==1|C2_6_`son'6==1|C2_6_`son'7==1|C2_6_`son'8==1)
		
		replace num_child = 1 if C2_6=="`son'" & (C2_6_`son'==1) & ///
		(C2_6_`son'W==1) & (C2_6_`son'1==1|C2_6_`son'2==1|C2_6_`son'6==1|C2_6_`son'7==1|C2_6_`son'8==1)

		* just son and kids - no wife
		replace sf = 1 if  (C2_6_`son'==1) & ///
		(C2_6_`son'1==1|C2_6_`son'2==1|C2_6_`son'6==1|C2_6_`son'7==1|C2_6_`son'8==1)
		
		replace num_child = 1 if C2_6=="`son'" & (C2_6_`son'==1) & ///
		(C2_6_`son'1==1|C2_6_`son'2==1|C2_6_`son'6==1|C2_6_`son'7==1|C2_6_`son'8==1)
		
		* no son, just wife and kids
		replace sf = 1 if  (C2_6_`son'W==1) & ///
		(C2_6_`son'1==1|C2_6_`son'2==1|C2_6_`son'6==1|C2_6_`son'7==1|C2_6_`son'8==1)
		
		replace num_child = 1 if C2_6=="`son'W" & (C2_6_`son'W==1) & ///
		(C2_6_`son'1==1|C2_6_`son'2==1|C2_6_`son'6==1|C2_6_`son'7==1|C2_6_`son'8==1)
		
		* son died, just wife and kids
		replace sf = 1 if  (C2_6_X`son'W==1) & ///
		(C2_6_X`son'1==1|C2_6_X`son'2==1|C2_6_X`son'6==1)
		
		replace num_child = 1 if C2_6=="X`son'W" & (C2_6_X`son'W==1) & ///
		(C2_6_X`son'1==1|C2_6_X`son'2==1|C2_6_X`son'6==1)

	}

	local varlist 3
	foreach son of local varlist{
		
		replace sf = 1 if  (C2_6_`son'==1) & ///
		(C2_6_`son'W==1) & (C2_6_`son'1==1|C2_6_`son'2==1|C2_6_`son'6==1)
		
		replace num_child = 1 if C2_6=="`son'" & (C2_6_`son'==1) & ///
		(C2_6_`son'W==1) & (C2_6_`son'1==1|C2_6_`son'2==1|C2_6_`son'6==1)

		* just son and kids - no wife
		replace sf = 1 if  (C2_6_`son'==1) & ///
		(C2_6_`son'1==1|C2_6_`son'2==1|C2_6_`son'6==1)
		
		replace num_child = 1 if C2_6=="`son'" & (C2_6_`son'==1) & ///
		(C2_6_`son'1==1|C2_6_`son'2==1|C2_6_`son'6==1)
		
		* no son, just wife and kids
		replace sf = 1 if  (C2_6_`son'W==1) & ///
		(C2_6_`son'1==1|C2_6_`son'2==1|C2_6_`son'6==1)
		
		replace num_child = 1 if C2_6=="`son'W" & (C2_6_`son'W==1) & ///
		(C2_6_`son'1==1|C2_6_`son'2==1|C2_6_`son'6==1)
		
		* son died, just wife and kids
		replace sf = 1 if  (C2_6_X`son'W==1) & ///
		(C2_6_X`son'1==1|C2_6_X`son'2==1)
		
		replace num_child = 1 if C2_6=="X`son'W" & (C2_6_X`son'W==1) & ///
		(C2_6_X`son'1==1|C2_6_X`son'2==1)

	}

* no cases for 4 5 G J K

* children coded as XW1, XW2 (only cases with kids e.g, XW11)

	local varlist XW1 
	foreach son of local varlist{
		
		replace sf = 1 if  (C2_6_`son'==1) & ///
		(C2_6_`son'W==1) & (C2_6_`son'1==1|C2_6_`son'6==1|C2_6_`son'7==1)
		
		replace num_child = 1 if C2_6=="`son'" & (C2_6_`son'==1) & ///
		(C2_6_`son'W==1) & (C2_6_`son'1==1|C2_6_`son'6==1|C2_6_`son'7==1)

		* just son and kids - no wife
		replace sf = 1 if  (C2_6_`son'==1) & ///
		(C2_6_`son'1==1|C2_6_`son'6==1|C2_6_`son'7==1)
		
		replace num_child = 1 if C2_6=="`son'" & (C2_6_`son'==1) & ///
		(C2_6_`son'1==1|C2_6_`son'6==1|C2_6_`son'7==1)
		
		* no son, just wife and kids
		replace sf = 1 if  (C2_6_`son'W==1) & ///
		(C2_6_`son'1==1|C2_6_`son'6==1|C2_6_`son'7==1)
		
		replace num_child = 1 if C2_6=="`son'W" & (C2_6_`son'W==1) & ///
		(C2_6_`son'1==1|C2_6_`son'6==1|C2_6_`son'7==1)
		
		* son died, just wife and kids
		* no cases

	}

	local varlist XW2 Y1
	foreach son of local varlist{
		
		replace sf = 1 if  (C2_6_`son'==1) & ///
		(C2_6_`son'W==1) & (C2_6_`son'1==1|C2_6_`son'6==1)
		
		replace num_child = 1 if C2_6=="`son'" & (C2_6_`son'==1) & ///
		(C2_6_`son'W==1) & (C2_6_`son'1==1|C2_6_`son'6==1)

		* just son and kids - no wife
		replace sf = 1 if  (C2_6_`son'==1) & ///
		(C2_6_`son'1==1|C2_6_`son'6==1)
		
		replace num_child = 1 if C2_6=="`son'" & (C2_6_`son'==1) & ///
		(C2_6_`son'1==1|C2_6_`son'6==1)
		
		* no son, just wife and kids
		replace sf = 1 if  (C2_6_`son'W==1) & ///
		(C2_6_`son'1==1|C2_6_`son'6==1)
		
		replace num_child = 1 if C2_6=="`son'W" & (C2_6_`son'W==1) & ///
		(C2_6_`son'1==1|C2_6_`son'6==1)
		
		* son died, just wife and kids
		* no cases

	}

* children coded as W1
	local varlist W1 
	foreach son of local varlist{
		
		replace sf = 1 if  (C2_6_`son'==1) & ///
		(C2_6_`son'W==1) & (C2_6_`son'1==1|C2_6_`son'6==1|C2_6_`son'7==1|C2_6_`son'8==1)
		
		replace num_child = 1 if C2_6=="`son'" & (C2_6_`son'==1) & ///
		(C2_6_`son'W==1) & (C2_6_`son'1==1|C2_6_`son'6==1|C2_6_`son'7==1|C2_6_`son'8==1)

		* just son and kids - no wife
		replace sf = 1 if  (C2_6_`son'==1) & ///
		(C2_6_`son'1==1|C2_6_`son'6==1|C2_6_`son'7==1|C2_6_`son'8==1)
		
		replace num_child = 1 if C2_6=="`son'" & (C2_6_`son'==1) & ///
		(C2_6_`son'1==1|C2_6_`son'6==1|C2_6_`son'7==1|C2_6_`son'8==1)
		
		* no son, just wife and kids
		replace sf = 1 if  (C2_6_`son'W==1) & ///
		(C2_6_`son'1==1|C2_6_`son'6==1|C2_6_`son'7==1|C2_6_`son'8==1)
		
		replace num_child = 1 if C2_6=="`son'W" & (C2_6_`son'W==1) & ///
		(C2_6_`son'1==1|C2_6_`son'6==1|C2_6_`son'7==1|C2_6_`son'8==1)
		
		* son died, just wife and kids
		* no cases

	}
