/*=========================================================================
Project: Wealth, marriage and sex selection
Author: Girija Borker, Jan Eeckhout, Nancy Luke, Shantidani Minz, Kaivan 
Munshi and Soumya Swaminathan. 
---------------------------------------------------------------------------
Do file: 5_1_assigning_to_generations.do
=========================================================================*/

gen d_youngestgen = 0

* Pe's kids is youngest generation
replace d_youngestgen = 1 if (fs == 2|fs==3|fs == 31|fs==32|fs == 4|fs==41|fs == 42) & regexm(C2_6, "[1-9GJKOPQ]$") & length(C2_6)==1
replace d_youngestgen = 1 if (fs == 2|fs==3|fs == 31|fs==32|fs == 4|fs==41|fs == 42) & regexm(C2_6, "[X][W][1-9GJKOPQ]$") & length(C2_6)==3
replace d_youngestgen = 1 if (fs == 2|fs==3|fs == 31|fs==32|fs == 4|fs==41|fs == 42) & regexm(C2_6, "[Y][1-9GJKOPQ]$") & length(C2_6)==2
replace d_youngestgen = 1 if (fs == 2|fs==3|fs == 31|fs==32|fs == 4|fs==41|fs == 42) & regexm(C2_6, "[Z][1-9GJKOPQ]$") & length(C2_6)==2

* youngest generation of the form 1, B1
replace d_youngestgen = 1 if (fs == 2|fs==3|fs==31|fs==32|fs==4|fs==41|fs==42|fs==5|fs==51|fs==52|fs==6|fs==61|fs==62|fs==11) & regexm(C2_6, "[1-9GJKOPQ]$") & regexm(RelBy2, "[BCDESTUV]$") & length(RelBy2)==1
replace d_youngestgen = 1 if (fs == 2|fs==3|fs==31|fs==32|fs==4|fs==41|fs==42|fs==5|fs==51|fs==52|fs==6|fs==61|fs==62|fs==11) & regexm(C2_6, "[1-9GJKOPQ]$") & regexm(RelBy2, "[BCDESTUV][W]$") & length(RelBy2)==2
replace d_youngestgen = 1 if (fs == 2|fs==3|fs==31|fs==32|fs==4|fs==41|fs==42|fs==5|fs==51|fs==52|fs==6|fs==61|fs==62|fs==11) & regexm(C2_6, "[1-9GJKOPQ]$") & regexm(RelBy2, "[X][BCDESTUV]$") & length(RelBy2)==2
replace d_youngestgen = 1 if (fs == 2|fs==3|fs==31|fs==32|fs==4|fs==41|fs==42|fs==5|fs==51|fs==52|fs==6|fs==61|fs==62|fs==11) & regexm(C2_6, "[1-9GJKOPQ]$") & regexm(RelBy2, "[F][BCDESTUV][1-9GJKOPQ]$") & length(RelBy2)==3 // FB11
replace d_youngestgen = 1 if (fs == 2|fs==3|fs==31|fs==32|fs==4|fs==41|fs==42|fs==5|fs==51|fs==52|fs==6|fs==61|fs==62|fs==11) & regexm(C2_6, "[1-9GJKOPQ]$") & regexm(RelBy2, "[F][X][BCDESTUV][1-9GJKOPQ]$") & length(RelBy2)==4 // FXB11

* youngest generation of the form 11, B11 etc
replace d_youngestgen = 1 if (fs==7|fs==71|fs==8|fs==10) & regexm(C2_6, "[1-9GJKOPQ]$") & regexm(RelBy2, "[1-9GJKOPQ]$") & length(RelBy2)==1
replace d_youngestgen = 1 if (fs==7|fs==71|fs==8|fs==10) & regexm(C2_6, "[1-9GJKOPQ]$") & regexm(RelBy2, "[1-9GJKOPQ][W]$") & length(RelBy2)==2
replace d_youngestgen = 1 if (fs==7|fs==71|fs==8|fs==10) & regexm(C2_6, "[1-9GJKOPQ]$") & regexm(RelBy2, "[X][1-9GJKOPQ]$") & length(RelBy2)==2
replace d_youngestgen = 1 if (fs==7|fs==71|fs==8|fs==10) & regexm(C2_6, "[1-9GJKOPQ]$") & regexm(RelBy2, "[W][1-9GJKOPQ]$") & length(RelBy2)==2
replace d_youngestgen = 1 if (fs==7|fs==71|fs==8|fs==10) & regexm(C2_6, "[1-9GJKOPQ]$") & regexm(RelBy2, "[Y][1-9GJKOPQ]$") & length(RelBy2)==2
replace d_youngestgen = 1 if (fs==7|fs==71|fs==8|fs==10) & regexm(C2_6, "[1-9GJKOPQ]$") & regexm(RelBy2, "[X][W][1-9GJKOPQ]$") & length(RelBy2)==3 // XW11
replace d_youngestgen = 1 if (fs==7|fs==71|fs==8|fs==10) & regexm(C2_6, "[1-9GJKOPQ]$") & regexm(RelBy2, "[F][BCDESTUV][1-9GJKOPQ][1-9GJKOPQ]$") & length(RelBy2)==4 // FB111
replace d_youngestgen = 1 if (fs==7|fs==71|fs==8|fs==10) & regexm(C2_6, "[1-9GJKOPQ]$") & regexm(RelBy2, "[BCDESTUV][1-9GJKOPQ]$") & length(RelBy2)==2 // B11

* fs == 7 and no family_id means that these kids have no parents in the house: eg. HHid == "1403AFB7-C79F-4964-B14A-2C3100B5674C", 
* we need to code them as second generation to be able to share A's resources
//gen d_yg7 = 1 if fs==7 & family_id=="" & d_youngestgen==1
//replace d_youngestgen = 0 if d_yg7 == 1

* youngest generation is pe's generation
replace d_youngestgen = 1 if (fs==9) & regexm(C2_6, "[ABCDESTUV]$") & length(C2_6)==1
replace d_youngestgen = 1 if (fs==9) & regexm(C2_6, "[1-9GJKOPQ]$") & regexm(RelBy2, "[F][WY]$") & length(RelBy2)==2
replace d_youngestgen = 1 if (fs==9) & regexm(C2_6, "[1-9GJKOPQ]$") & regexm(RelBy2, "[X][F][WY]$") & length(RelBy2)==3
replace d_youngestgen = 1 if (fs==9) & regexm(C2_6, "[1-9GJKOPQ]$") & regexm(RelBy2, "[F][X][WY]$") & length(RelBy2)==3

* check
gen diff =  LivesWithParent - d_youngestgen
bys HHid: egen min_diff = min(diff)
//br HHid C2_6 fs LivesWithParent d_youngestgen if min_diff==-1


* Identifying the various generations in a HH

* second generation

	gen d_secondgen = 0
	
	* Pe is the second generation
	replace d_secondgen = 1 if (fs == 2|fs==3|fs == 31|fs==32|fs == 4|fs==41|fs == 42) & regexm(C2_6, "[ABCDESTUV]$") & length(C2_6)==1

	* Second generation is either A or B etc.
	replace d_secondgen = 1 if (fs == 2|fs==3|fs==31|fs==32|fs==4|fs==41|fs==42|fs==5|fs==51|fs==52|fs==6|fs==61|fs==62|fs==11) & regexm(C2_6, "[ABCDESTUV]$") & length(C2_6)==1
	replace d_secondgen = 1 if (fs == 2|fs==3|fs==31|fs==32|fs==4|fs==41|fs==42|fs==5|fs==51|fs==52|fs==6|fs==61|fs==62|fs==11) & regexm(C2_6, "[F][WY][1-9GJKOPQ]$") & length(C2_6)==3
	replace d_secondgen = 1 if (fs == 2|fs==3|fs==31|fs==32|fs==4|fs==41|fs==42|fs==5|fs==51|fs==52|fs==6|fs==61|fs==62|fs==11) & regexm(C2_6, "[1-9GJKOPQ]$") & regexm(RelBy2, "[F][BCDESTUV]$") & length(RelBy2)==2 // FB1
	replace d_secondgen = 1 if (fs == 2|fs==3|fs==31|fs==32|fs==4|fs==41|fs==42|fs==5|fs==51|fs==52|fs==6|fs==61|fs==62|fs==11) & regexm(C2_6, "[1-9GJKOPQ]$") & regexm(RelBy2, "[F][X][BCDESTUV]$") & length(RelBy2)==2 // FXB1

	* Second generation is either 1 or B1 etc.
	replace d_secondgen = 1 if (fs==7|fs==71|fs==8|fs==10) & regexm(C2_6, "[1-9GJKOPQ]$") & length(C2_6)==1
	replace d_secondgen = 1 if (fs==7|fs==71|fs==8|fs==10) & regexm(C2_6, "[YW][1-9GJKOPQ]$") & length(C2_6)==2
	replace d_secondgen = 1 if (fs==7|fs==71|fs==8|fs==10) & regexm(C2_6, "[X][YW][1-9GJKOPQ]$") & length(C2_6)==3 // added on 06/03
	replace d_secondgen = 1 if (fs==7|fs==71|fs==8|fs==10) & regexm(C2_6, "[1-9GJKOPQ]$") & regexm(RelBy2, "[BCDESTUV]$") & length(RelBy2)==1
	replace d_secondgen = 1 if (fs==7|fs==71|fs==8|fs==10) & regexm(C2_6, "[1-9GJKOPQ]$") & regexm(RelBy2, "[X][BCDESTUV]$") & length(RelBy2)==2
	replace d_secondgen = 1 if (fs==7|fs==71|fs==8|fs==10) & regexm(C2_6, "[1-9GJKOPQ]$") & regexm(RelBy2, "[F][BCDESTUV][1-9GJKOPQ]$") & length(RelBy2)==3
	replace d_secondgen = 1 if (fs==7|fs==71|fs==8|fs==10) & regexm(C2_6, "[1-9GJKOPQ]$") & regexm(RelBy2, "[F][X][BCDESTUV][1-9GJKOPQ]$") & length(RelBy2)==4

	* Second generation if either F or FB
	replace d_secondgen = 1 if (fs==9) & regexm(C2_6, "[F]$") & length(C2_6)==1
	replace d_secondgen = 1 if (fs==9) & regexm(C2_6, "[F][BCDESTUV]$") & length(C2_6)==2
	replace d_secondgen = 1 if (fs==9) & regexm(C2_6, "[X][F][BCDESTUV]$") & length(C2_6)==3
	
	* fs == 7 and no family_id means that these kids have no parents in the house: eg. HHid == "1403AFB7-C79F-4964-B14A-2C3100B5674C", 
	* we need to code them as second generation to be able to share A's resources
	//replace d_secondgen = 1 if d_yg7 == 1 & d_secondgen==0

	
	
* third generation

	gen d_thirdgen = 0

	* Pe's parents are third generation
	replace d_thirdgen = 1 if (fs == 2|fs==3|fs == 31|fs==32|fs == 4|fs==41|fs == 42|fs==5|fs==51|fs==52|fs==6|fs==61|fs==62|fs==11) & C2_6=="F"

	* Third generation is either F or FB
	replace d_thirdgen = 1 if (fs == 2|fs==3|fs==31|fs==32|fs==4|fs==41|fs==42|fs==5|fs==51|fs==52|fs==6|fs==61|fs==62|fs==11) & regexm(C2_6, "[F][BCDESTUV]$") & length(C2_6)==2

	* Third generation is either A or B etc.
	replace d_thirdgen = 1 if (fs==7|fs==71|fs==8|fs==10) & regexm(C2_6, "[ABCDESTUV]$") & length(C2_6)==1
	replace d_thirdgen = 1 if (fs==7|fs==71|fs==8|fs==10) & regexm(C2_6, "[1-9GJKOPQ]$") & regexm(RelBy2, "[F][BCDESTUV]$") & length(RelBy2)==2 // FB1
	replace d_thirdgen = 1 if (fs==7|fs==71|fs==8|fs==10) & regexm(C2_6, "[1-9GJKOPQ]$") & regexm(RelBy2, "[F][X][BCDESTUV]$") & length(RelBy2)==3 // FXB1

	* Third generation is either FF
	replace d_thirdgen = 1 if (fs==9) & C2_6=="FF"

* fourth generation
	gen d_fourthgen = 0

	* Pe's grandparents are fourth generation
	replace d_fourthgen = 1 if (fs == 2|fs==3|fs == 31|fs==32|fs == 4|fs==41|fs == 42) & C2_6=="FF"

	* Fourth generation is FF
	replace d_fourthgen = 1 if (fs == 2|fs==3|fs==31|fs==32|fs==4|fs==41|fs==42|fs==5|fs==51|fs==52|fs==6|fs==61|fs==62|fs==11) & C2_6=="FF"

	* Fourth generation is either F or FB etc.
	replace d_fourthgen = 1 if (fs==7|fs==71|fs==8|fs==10) & C2_6=="F"
	replace d_fourthgen = 1 if (fs==7|fs==71|fs==8|fs==10) & regexm(C2_6, "[F][BCDESTUV]$") & length(C2_6)==2

* fifth generation // none present

	//gen d_fifthgen = 0
	
	* FF is the fifth generation
	//replace d_fifthgen = 1 if (fs==7|fs==71|fs==8|fs==10) & C2_6=="FF"

