/*=========================================================================
Project: Wealth, marriage and sex selection
Author: Girija Borker, Jan Eeckhout, Nancy Luke, Shantidani Minz, Kaivan 
Munshi and Soumya Swaminathan. 
---------------------------------------------------------------------------
Do file: 6_2_educyears_from_code.do
=========================================================================*/

*** EducYears_from_Code.do ***

// use "T:\Census Data\GPS_Cleaned_15Nov2016.dta"

/* 	C2_7  	EdYears	Census Questionnaire (order)

	0 		0		No education
	1 		0		Not of school-going age
	2 		0		PKG
	3 		0		LKG
	4 		0		UKG
	5 		1		Standard 1
	6 		2		Standard 2
	7 		3		Standard 3
	8 		4		Standard 4
	9 		5		Standard 5
	10 		6		Standard 6
	11 		7		Standard 7
	12 		8		Standard 8
	13 		9		Standard 9
	14 		10		Standard 10
	15 		11		Plus 1 										
	16 		12		Plus 2
	17 		11		Diploma after 10
	18 		13		Diploma after Plus 2
	19 		14		Started college, not complete/attending
	20 		15		College completed
	21 		17		Post Graduate 								
*/

gen 	EdYears = .

replace EdYears =  0 if educ=="ANG" | educ=="PKG" | educ=="LKG" | educ=="UKG"

replace EdYears =  1 if educ=="S1"
replace EdYears =  2 if educ=="S2"
replace EdYears =  3 if educ=="S3"
replace EdYears =  4 if educ=="S4"
replace EdYears =  5 if educ=="S5"
replace EdYears =  6 if educ=="S6"
replace EdYears =  7 if educ=="S7"
replace EdYears =  8 if educ=="S8"
replace EdYears =  9 if educ=="S9"
replace EdYears = 10 if educ=="S10"

replace EdYears = 11 if educ=="P1"
replace EdYears = 12 if educ=="P2"

replace EdYears = 11 if educ=="DP10"
replace EdYears = 13 if educ=="DPP2"

replace EdYears = 13 if educ=="C1"
replace EdYears = 14 if educ=="C2"
replace EdYears = 15 if educ=="C3"
replace EdYears = 16 if educ=="C4"
replace EdYears = 17 if educ=="C5"

replace EdYears = 17 if educ=="PG"

replace EdYears =  0 if educ=="97"
replace EdYears =  0 if educ=="0"

/* 	
	ANG   	Anganwadi/crèche 	"mother and child care centre" ~ nursery 
	PKG		Pre-KG 
	LKG		Lower-KG 
	UKG		Upper-KG 
	S1		Standard 1 
	S2		Standard 2 
	S3		Standard 3 
	S4		Standard 4 
	S5		Standard 5 
	S6		Standard 6 
	S7		Standard 7 
	S8		Standard 8 
	S9		Standard 9 
	S10		Standard 10 
	P1		Plus 1 
	P2		Plus 2 
	C1		College 1 year 
	C2		College 2 years 
	C3		College 3 years 
	C4		College 4 years 
	C5		College 5 years 
	PG		Post graduate 
	DP10	Diploma/certificate after Standard 10 
	DPP2	Diploma after Plus 2 
	88		Don’t know 
	97		Not of school-going age 
	0 		No education 
*/
